Package twisted :: Package protocols :: Module imap4 :: Class IMailboxInfo

[frames | no frames]

## Class IMailboxInfo

    Interface --+
                |
               IMailboxInfo

Known Subclasses:
  `IMailbox`

Interface specifying only the methods required for `listMailboxes`.

Implementations can return objects implementing only these methods for return to `listMailboxes` if it can allow them to operate more efficiently.

Method Summary
`list` of `str` | ``getFlags`(self)` Return the flags defined in this mailbox
`str` | ``getHierarchicalDelimiter`(self)` Get the character which delimits namespaces for in this mailbox.

Method Details

### getFlags(self)

Return the flags defined in this mailbox

Flags with the \ prefix are reserved for use as system flags.

  Returns:
    A list of the flags that can be set on messages in this mailbox.
    (type=`list` of `str`)

### getHierarchicalDelimiter(self)

Get the character which delimits namespaces for in this mailbox.

  Returns:
    `str`

Generated by Epydoc 2.0 on Sat May 15 20:07:53 2004 | http://epydoc.sf.net